|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QPaintEvent

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QPaintEvent class reference

### Public Functions

- QPaintEvent ( const QRegion & paintRegion, const QRect & paintRect )
- bool erased () const

## Member Function Documentation

### QPaintEvent::QPaintEvent ( const QRegion & paintRegion, const QRect & paintRect )

Constructs a paint event object with both a paintRegion and a paintRect, both of which represent the area of the widget that needs to be updated.

### bool QPaintEvent::erased () const

Returns true if the paint event region (or rectangle) has been erased with the widget's background; otherwise returns false.

Qt 4 always erases regions that require painting. The exception to this rule is if the widget sets the Qt::WA_OpaquePaintEvent or Qt::WA_NoSystemBackground attributes. If either one of those attributes is set and the window system does not make use of subwidget alpha composition (currently X11 and Windows, but this may change), then the region is not erased.